Fork me on GitHub"

# skbio.tree.TreeNode.neighbors

TreeNode.neighbors(ignore=None)

  Returns all nodes that are connected to self

  State: Experimental as of 0.4.0.

  This call does not include self in the result

  Parameters

    ignore (TreeNode) – A node to ignore

  Returns

    The list of all nodes that are connected to self

  Return type

    list of TreeNode

  Examples

      >>> from skbio import TreeNode
      >>> tree = TreeNode.read(["((a,b)c,(d,e)f)root;"])
      >>> node_c = tree.find('c')
      >>> [n.name for n in node_c.neighbors()]
      ['a', 'b', 'root']